@import url(https://fonts.googleapis.com/css?family=Pacifico);
.theme_1{
    background-color: #084177
}
.theme_2{
    background-color: #687466
}
.theme_3{
    background-color: #cd8d7b;
}
.theme_4{
    background-color: #fbc490;
}
.theme_5{
    background-color: #f3c623;
}.theme_6{
    background-color: #844685;
}.theme_7{
    background-color: #ffa41b;
}.theme_8{
    background-color: #00bdaa;
}.theme_9{
    background-color: #ffb0cd;
}.theme_10{
    background-color: #ff1e56;
}
h1{
    color:#ff6d00;
    text-align: center;
    font-size: 4em;
}
.vamp {
    color:#ff6b81;
    font-family: 'Pacifico';
    text-shadow:0px 0px 0 rgb(137,156,213),1px 1px 0 rgb(129,148,205),2px 2px 0 rgb(120,139,196),3px 3px 0 rgb(111,130,187),4px 4px 0 rgb(103,122,179),5px 5px 0 rgb(94,113,170),6px 6px 0 rgb(85,104,161),7px 7px 0 rgb(76,95,152),8px 8px 0 rgb(68,87,144),9px 9px 0 rgb(59,78,135),10px 10px 0 rgb(50,69,126),11px 11px 0 rgb(42,61,118),12px 12px 0 rgb(33,52,109),13px 13px 0 rgb(24,43,100),14px 14px 0 rgb(15,34,91),15px 15px 0 ;
  }
* {
    box-sizing: border-box;
  }
  img{
      height: 150px;
      width:120px;
  }

html {
    min-height: 100vh;
  }
  body {
    margin: 0;
    background: radial-gradient(#9D5900, #3D2200);
  }
  .game-info-container {
    grid-column: 1 / -1;
    display: flex;
    justify-content:center;
  }
  .game-info {
    color: #ffa34d;
    font-family: 'Spicy Rice', cursive;
    font-size: 3em;
    margin-bottom: 4px;
    
  }
  .game-container{
      display:grid;
      grid-template-columns: repeat(auto-fit, 186px);
      grid-gap: 10px;
      justify-content: center;
      margin: 50px;
      perspective: 500px;
  }
.card{
    height:175px;
    width:130px;
    
    border-radius: 10px;
    
    
}
.card-face{
    position: absolute;
    display: flex;
    align-items: center;
    overflow:hidden;
    backface-visibility: hidden;
    transition: transform 500ms ease-in-out;
}
.card.visible .card-back{
    transform: rotateY(-180deg);
}
.card.visible .card-front{
    transform:rotateY(0)
}
.card-front{
    height:170px;
    width:125px;
    border-radius: 9px;
    transform: rotateY(180deg);
    border:2px solid #FF6D00;
    background-color: blanchedalmond;
}
.card-value{
    transition: transform 100ms ease-in-out;
    transform: scale(.9);
}
.card-front:hover .card-value{
    transform:scale(1);
}

.card-back {
    height:170px;
    width:125px;
    border:2px solid #FF6D00;
    transform: rotateY(0); 
    border-radius: 10px;
  }
  .overlay-text {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 100;
    display: none;
    position: fixed;
    justify-content: center;
     align-items: center; 
     flex-direction: column; 
    color: #FF6D00;
    font-family: 'Spicy Rice', cursive;
    transition: background-color 500ms, font-size 500ms;
  }
  
  .overlay-text-small {
    font-size: .3em;
  }
  
  .overlay-text.visible {
    display: flex;
    animation: overlay-grow 500ms forwards;
  }
  footer{
      background-color: black;
      color: white;
      text-align: center;
      width: 100%;
      height:60px;
      padding-top:18px;
      font-size: large;
  }
  a{
      color: white;
  }
  @keyframes overlay-grow {
    from {
      background-color: rgba(0, 0, 0, 0);
      font-size: 0;
    }
    to {
      background-color: rgba(0, 0, 0, .8);
      font-size: 6em;
    }
  }
    @media all and (max-width: 679px)
  {
    .game-container{
        display:grid;
        grid-template-columns: repeat(auto-fit, 100px);
        grid-gap: 15px;
        justify-content: center;
        align-content: space-between;
        margin:5px;
    }
    .card{
        height:155px;
        width:100px;
        
    }
    img{
        height: 130px;
        width:90px;
    }
    .card-back {
        height:150px;
        width:100px;
        border:2px solid #FF6D00;
        transform: rotateY(0); 
        border-radius: 10px;
      }
      .card-front{
        height:150px;
        width:100px;
        border-radius: 9px;
        transform: rotateY(180deg);
        border:2px solid #FF6D00;
        background-color: blanchedalmond;
    }
    h1{
        text-align: center;
        font-size: 2em;
    }
    @keyframes overlay-grow {
        from {
          background-color: rgba(0, 0, 0, 0);
          font-size: 0;
        }
        to {
          background-color: rgba(0, 0, 0, .8);
          font-size: 3.7em;
        }
      }

  }  
